#!/bin/bash

if [ "$1" = "cleanup" ]
then
  docker-compose down -v
  mvn clean
  docker image rm juplo/seek:1.0-SNAPSHOT
  exit
fi

docker-compose up -d zookeeper kafka

if [[
  $(docker image ls -q juplo/seek:1.0-SNAPSHOT) == "" ||
  "$1" = "build"
]]
then
  mvn install || exit
else
  echo "Using image existing images:"
  docker image ls juplo/seek:1.0-SNAPSHOT
fi

docker-compose up -d peter franz
echo "Waiting for the Kafka-Cluster to become ready..."
docker-compose exec kafka cub kafka-ready -b kafka:9092 1 60 > /dev/null 2>&1 || exit 1

docker-compose exec kafka kafka-topics --zookeeper zookeeper:2181 --create --if-not-exists --replication-factor 1 --partitions 7 --topic test

docker-compose up -d producer

sleep 3
http -v post :8001/start
sleep 3
echo 0 | http -v :8001/seek
sleep 3
echo 0 | http -v :8001/seek

http -v post :8002/start
sleep 10
echo 0 | http -v :8001/seek
sleep 3

docker-compose stop producer peter franz
docker-compose logs peter
