package de.juplo.kafka.seek;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.util.Assert;

import java.util.concurrent.Executors;


@SpringBootApplication
@EnableConfigurationProperties(ApplicationProperties.class)
public class Application
{

  @Autowired
  ApplicationProperties properties;


  @Bean
  public Consumer consumer()
  {
    Assert.hasText(properties.getBootstrapServer(), "seek.bootstrap-server must be set");
    Assert.hasText(properties.getGroupId(), "seek.group-id must be set");
    Assert.hasText(properties.getClientId(), "seek.client-id must be set");
    Assert.hasText(properties.getTopic(), "seek.topic must be set");

    return
        new Consumer(
            Executors.newFixedThreadPool(1),
            properties.getBootstrapServer(),
            properties.getGroupId(),
            properties.getClientId(),
            properties.getTopic());
  }

  public static void main(String[] args)
  {
    SpringApplication.run(Application.class, args);
  }
}
