package de.juplo.kafka.seek;

import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.ExecutionException;


@RestController
@RequiredArgsConstructor
public class SeekController
{
  private final Consumer consumer;


  @PostMapping("start")
  public void start()
  {
    consumer.start();
  }

  @PostMapping("stop")
  public void stop() throws ExecutionException, InterruptedException
  {
    consumer.stop();
  }


  @PostMapping("seek")
  public void seek(@RequestBody long offset)
  {
    consumer.seek(offset);
  }
}
